# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{thin_http}
  s.version = "0.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Clint Pachl"]
  s.date = %q{2008-11-17}
  s.email = %q{pachl@ecentryx.com}
  s.files = ["README", "Rakefile", "lib/multipart_form_data.rb", "lib/thin_http.rb", "lib/cookie_collection.rb", "test/scaffold", "test/scaffold/htdocs", "test/scaffold/htdocs/cgi", "test/scaffold/htdocs/cgi/echo_get_params.cgi", "test/scaffold/htdocs/cgi/print_env.cgi", "test/scaffold/htdocs/cgi/set_cookie.cgi", "test/scaffold/htdocs/cgi/redirect_to_external.cgi", "test/scaffold/htdocs/cgi/echo_post_params.cgi", "test/scaffold/htdocs/cgi/redirect_to_print_env.cgi", "test/scaffold/htdocs/cgi/redirect_loop.cgi", "test/scaffold/htdocs/index.html", "test/scaffold/form_data_unknown.msg", "test/scaffold/form_data.msg", "test/scaffold/image.jpg", "test/scaffold/ascii.txt", "test/scaffold/unknown.yyy", "test/test_helper.rb", "test/thin_http_test.rb", "test/cookie_collection_test.rb", "test/multipart_form_data_test.rb"]
  s.homepage = %q{http://thinhttp.rubyforge.org/}
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{thinhttp}
  s.rubygems_version = %q{1.3.5}
  s.summary = %q{Lightweight and user-friendly HTTP client library}
  s.test_files = ["test/thin_http_test.rb", "test/cookie_collection_test.rb", "test/multipart_form_data_test.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 2

    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<mime>, [">= 0.1.0"])
    else
      s.add_dependency(%q<mime>, [">= 0.1.0"])
    end
  else
    s.add_dependency(%q<mime>, [">= 0.1.0"])
  end
end
